Name:           menhir
Version:        20130911
Release:        %mkrel 3
Summary:        Menhir is a LR(1) parser generator for OCaml
License:        LGPL and QPL with static compilation exception
Group:          Development/OCaml
URL:            http://pauillac.inria.fr/~fpottier/menhir/
Source0:        http://pauillac.inria.fr/~fpottier/menhir/menhir-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib

%description
Menhir is a LR(1) parser generator for OCaml. It is mostly compatible
with the standard ocamlyacc and has the following enhancements:

- it accepts LR(1) grammars,
- it offers parameterized nonterminal symbols as well as a library of
  standard definitions,
- it explains conflicts in terms of the grammar,
- it allows grammar specifications to be split over multiple files and
  parametrized by OCaml modules,
- it produces reentrant parsers.

%prep
%setup -q

%build
# PREFIX is there without %{buildroot} because it is used to write the
# lib path in the source
make PREFIX=/usr

%install
# Prevent recompilation when doing make install
sed -i 's/install: all/install:/' Makefile
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/menhirLib
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install PREFIX=%{buildroot}/usr

%files
%doc demos/
%doc manual.pdf
%{_bindir}/menhir
%{_mandir}/man1/menhir.1*
%{_datadir}/menhir/standard.mly
%dir %{_libdir}/ocaml/menhirLib
%{_libdir}/ocaml/menhirLib/*.cmi
%{_libdir}/ocaml/menhirLib/*.cmo
%{_libdir}/ocaml/menhirLib/*.cmx
%{_libdir}/ocaml/menhirLib/*.o
%{_libdir}/ocaml/menhirLib/META


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 20130911-3.mga4
+ Revision: 535765
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 malo <malo> 20130911-2.mga4
+ Revision: 482505
- fix PREFIX during install

* Fri Sep 20 2013 malo <malo> 20130911-1.mga4
+ Revision: 482434
- new version 20130911

* Sun Jun 09 2013 malo <malo> 20130116-1.mga4
+ Revision: 441325
- new version 20130116

* Sat Jan 12 2013 umeabot <umeabot> 20120123-5.mga3
+ Revision: 359954
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 malo <malo> 20120123-4.mga3
+ Revision: 308239
- rebuild for ocaml-4.0.1

* Mon Oct 01 2012 blue_prawn <blue_prawn> 20120123-3.mga3
+ Revision: 301096
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 20120123-2.mga3
+ Revision: 300494
- new rpm group for ocaml

* Tue Aug 21 2012 blue_prawn <blue_prawn> 20120123-1.mga3
+ Revision: 282996
- updated to last version 20120123

* Thu Jan 12 2012 blue_prawn <blue_prawn> 20120109-1.mga2
+ Revision: 195177
- added req ocaml-findlib and fixed PREFIX in %%build
- fixed prefix
- corrected dest lib dir
- imported package menhir

